/* this only works on mac */

html {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    scroll-behavior: smooth;
}

/* include borders when calculating element size */

* {
    box-sizing: border-box;
}

/* Lato is our fallback font */

body {
    font-family: "Lato", Helvetica, sans-serif;
    color: #ffffff;
    font-size: 20px;
    font-weight: 400;
    background-color: #333333;
}

/* stevenshand special */

@font-face {
    font-family: StevensHand;
    src: url(StevensHand-Regular.ttf);
}

/* sidebar includes bio, nav, and footer */

#sidebar {
    background-color: #1a1a1a;
    height: 100%;
    width: 30%;
    position: fixed;
    display: block;
    z-index: 1;
    left: 0;
    overflow-x: hidden;
    overflow-y: scroll;
    padding: 2%;
    top: 0;
}

/* nav = links */

nav {
    font-family: StevensHand, "Lucida Handwriting", cursive;
    font-size: 50px;
    font-weight: 600;
    text-align: center;
    margin: auto;
    padding: 5%;
    background-color: #333333;
    border-left: 5px solid #F2F299;
    width: 75%;
}

nav ul {
    display: block;
    list-style-type: none;
    margin: 0;
    padding: 5%;
}

#contact {
    color: #333333;
    border: 5px solid #333333;
}

#contact:hover {
    color: #f2f299;
    border: 5px solid #f2f299;
}

/* images && video here */

#headshot {
    display: block;
    margin-left: auto;
    margin-right: auto;
    max-width: 90%;
    max-height: 50%;
    min-width: 403px;
    min-height: 403px;
    border: 5px solid #ffffff;
    margin-top: 2%;
    margin-bottom: 2%;
}

#testimonial {
    display: block;
    margin-top: 4%;
    margin-bottom: 4%;
    margin-left: 0;
    margin-right: 0;
    background-color: #1a1a1a;
    width: 100%;
    min-height: 598px;
    max-height: 90%;
    border-top: 5px solid #1a1a1a;
    border-bottom: 5px solid #1a1a1a;
    border-left: 5px solid #ffffff;
    border-right: 5px solid #ffffff;
}

iframe {
    display: block;
    margin-top: 4%;
    margin-bottom: 4%;
    margin-left: 0;
    margin-right: 0;
    background-color: #1a1a1a;
    width: 100%;
    min-height: 615px;
    max-height: 90%;
    border-top: 5px solid #1a1a1a;
    border-bottom: 5px solid #1a1a1a;
    border-left: 5px solid #ffffff;
    border-right: 5px solid #ffffff;
}

/* reg button styling here, contact button above */

.button {
    font-family: StevensHand, "Lucida Handwriting", cursive;
    font-size: 50px;
    font-weight: 600;
    display: block;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5%;
    margin-bottom: 5%;
    width: 50%;
    padding: 1%;
    background-color: #F2F299;
    border: 5px solid #1a1a1a;
    color: #1a1a1a;
    text-decoration: none;
}

.button:hover {
    font-weight: 700;
    background-color: #1a1a1a;
    border: 5px solid #F2F299;
    border-radius: 10px;
    color: #F2F299;
    text-decoration: underline;
}

/* to stop the links from looking funny (24 nav styling also here) */

nav li a {
    color: #f2f299;
    text-decoration: none;
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

nav li a:hover {
    font-weight: 700;
    text-decoration: underline;
}

nav li a:visited {
    color: #f2f299;
}

/* main means clips & content w/o sidebar */

#main {
    background-color: #333333;
    height: 100%;
    width: 70%;
    position: fixed;
    display: block;
    right: 0;
    overflow-x: hidden;
    padding-top: 5%;
    padding-bottom: 5%;
    padding-left: 0;
    padding-right: 0;
}

/* header font sizes are fixed */

h1 {
    position: relative;
    font-family: StevensHand, "Lucida Handwriting", cursive;
    font-size: 70px;
    font-weight: 700;
    padding: 5%;
    display: block;
    text-align: center;
    margin: auto;
    width: 70%;
    color: #F29999;
    border-left: 5px solid #F29999;
    background-color: #333333;
    text-decoration: underline;
}

h2 {
    font-family: StevensHand, "Lucida Handwriting", cursive;
    font-size: 60px;
    font-weight: 600;
    padding: 2%;
    display: block;
    text-align: center;
    margin: auto;
    width: 30%;
    color: #F29999;
    border-left: 5px solid #F29999;
    background-color: #595959;
}

h3 {
    font-family: StevensHand, "Lucida Handwriting", cursive;
    font-size: 50px;
    font-weight: 600;
    padding: 3%;
    display: block;
    text-align: center;
    margin: auto;
    width: 50%;
    color: #C5F299;
    border-left: 5px solid #C5F299;
    background-color: #595959;
}

h4 {
    font-size: 34px;
    font-weight: 700;
    display: block;
    padding: 2%;
    text-align: center;
    margin: auto;
    color: #ffffff;
}

h5 {
    font-size: 28px;
    font-weight: 600;
    display: block;
    text-align: center;
    margin: auto;
    padding: 1%;
    color: #ffffff;
}

h6 {
    font-family: StevensHand, "Lucida Handwriting", cursive;
    color: #ffffff;
    font-size: 40px;
    padding: 2%;
    display: block;
    text-align: center;
    margin: auto;
}

p {
    display: block;
    text-align: center;
    margin: auto;
    padding-top: 1%;
    padding-bottom: 1%;
    padding-right: 4%;
    padding-left: 4%;
}

b {
    background-color: #C5F299;
    color: #1a1a1a;
}

footer {
    display: block;
    text-align: center;
    margin: auto;
    font-size: 12px;
    padding: 5%;
    height: 5%;
    width: 100%;
    background-color: #1a1a1a;
}

/* TABLET STYLING HERE (50/50), SMALLER SCREEN = SMALLER FONT && MORE WHITE SPACE */

@media screen and (min-width: 767.99px) and (max-width: 991.98px) {
    body {
        font-size: 18px;
    }
    
    #sidebar {
        width: 50%;
        padding: 3%;
    }

    nav {
        font-size: 48px;
        padding: 6%;
        border-left: 4px solid #f2f299;
        width: 80%;
    }

    nav ul {
        padding: 6%;
    }

    #contact {
        border: 4px solid #333333;
        width: 70%;
    }

    #headshot {
        max-width: 95%;
        min-width: 100px;
        min-height: 100px;
        border: 4px solid #ffffff;
        margin-top: 3%;
        margin-bottom: 3%;
    }

    #testimonial {
        display: none;
    }

    iframe {
        margin-top: 5%;
        margin-bottom: 5%;
        max-height: 80%;
        border-top: 4px solid #1a1a1a;
        border-bottom: 4px solid #1a1a1a;
        border-left: 4px solid #ffffff;
        border-right: 4px solid #ffffff;
    }

    .button {
        font-size: 48px;
        margin-top: 6%;
        margin-bottom: 6%;
        width: 65%;
        padding: 2%;
        border: 4px solid #1a1a1a;
    }

    #main {
        width: 50%;
        padding-top: 6%;
        padding-bottom: 6%;
    }

    h1 {
        font-size: 68px;
        padding: 6%;
        width: 80%;
        border-left: 4px solid #f29999;
    }
    
    h2 {
        font-size: 58px;
        padding: 4%;
        width: 75%;
        border-left: 4px solid #f29999;
    }

    h3 {
        font-size: 46px;
        padding: 5%;
        width: 80%;
        border-left: 4px solid #c5f299;
    }
    

    h4 {
        font-size: 32px;
        padding: 4%;
    }
    
    h5 {
        font-size: 26px;
        padding: 3%;
    }

    h6 {
        font-size: 38px;
        padding: 4%;
    }

    p {
        padding-top: 3%;
        padding-bottom: 3%;
        padding-right: 6%;
        padding-left: 6%;
    }
    
    footer {
        font-size: 10px;
        padding: 6%;
        height: 6%;
    }
    
}
    
/* on phone, sidebar should be stacked instead of pegged to the left */

@media screen and (max-width: 767.98px) {
    body {
        font-size: 16px;
    }

    #sidebar {
        width: 100%;
        position: static;
        z-index: auto;
        padding: 5%;
    }

    nav {
        font-size: 44px;
        border-left: 3px solid #f2f299;
        width: 80%;
    }


    nav ul {
        padding: 7%;
    }

    #contact {
        border: 3px solid #333333;
        width: 60%;
        text-decoration: underline;
    }
    
    #headshot {
        max-width: 90%;
        min-height: 0;
        min-width: 0;
        border: 3px solid #ffffff;
        margin-top: 4%;
        margin-bottom: 4%;
    }

    #testimonial {
        display: none;
    }

    iframe {
        margin-top: 6%;
        margin-bottom: 6%;
        max-height: 80%;
        border-top: 3px solid #1a1a1a;
        border-bottom: 3px solid #1a1a1a;
        border-left: 3px solid #ffffff;
        border-right: 3px solid #ffffff;
    }

    .button {
        font-size: 48px;
        margin-top: 7%;
        margin-bottom: 7%;
        width: 55%;
        padding: 3%;
        border: 3px solid #1a1a1a;
        text-decoration: underline;
    }

    #main {
        width: 100%;
        position: static;
        padding-top: 7%;
        padding-bottom: 7%;
    }
    
    h1 {
        font-size: 68px;
        padding: 8%;
        width: 80%;
        border-left: 3px solid #f29999;
    }
    
    h2 {
        font-size: 58px;
        padding: 5%;
        width: 75%;
        border-left: 3px solid #f29999;
    }

    h3 {
        font-size: 46px;
        padding: 6%;
        width: 90%;
        border-left: 3px solid #c5f299;
    }
    

    h4 {
        font-size: 32px;
        padding: 5%;
    }
    
    h5 {
        font-size: 26px;
        padding: 3%;
    }

    h6 {
        font-size: 38px;
        padding: 5%;
    }

    p {
        padding-top: 3%;
        padding-bottom: 3%;
        padding-right: 7%;
        padding-left: 7%;
    }
    
    footer {
        font-size: 10px;
        padding: 7%;
    }
}